Updates the job work instruction list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "58ea9222-07c9-4cfd-9d99-bffc498815c4",
  "jobs_id": "40c7da16-f3a2-4653-a529-5f05e2c2080f",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "deee10e9-8db3-46ea-aada-c276931922cd",
    "_parent_id": "d7d7f5ad-59c8-4a61-ace4-009c0510bd87",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "61ce1583-2f42-4787-87a3-9f0597d94a28",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "ce1ec871-e71e-490d-83a8-9897e269a38b",
      "_parent_id": "ef34814d-4920-40fb-be59-a948d59fedc1",
      "root_parent_id": "0fb856b8-eea7-4076-b758-c999aa8599df",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "e167e63b-c4f1-4728-b014-8743a456050b",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "1fcbdf9b-7e19-451b-b6a4-06f440e009ee",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "89824819-ad8e-43c6-9606-257fb177849c",
        "_parent_code": "sample string 6",
        "sales_organization_id": "562948cd-32d5-4dc0-8d0e-6fd4d212363d",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "06b1cd3a-b3d1-4446-a272-5f9a896ca42d",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "9df84af3-11e8-48e6-b9ef-85e3e5b570b1",
          "db_currency_id": "9b568e9e-7a29-4531-b661-b0e892ccdad5",
          "db_language_id": "55062ea2-8720-49a0-8ce4-8d1e69412217",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
        },
        "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
      },
      "equipment_model_id": "68c3604f-3b9d-4f4e-b6c2-a6e7652f5306",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "99b1ee80-9695-4958-b4ff-76bb115dd713",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "1f28f878-a045-47c7-b61d-e4060f2c674d",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "be893c0f-ac2f-4d9d-b497-d9dd28ca65b6",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "12345bbf-d17e-4388-981d-ae8a96b0d768",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "06b1cd3a-b3d1-4446-a272-5f9a896ca42d",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "9df84af3-11e8-48e6-b9ef-85e3e5b570b1",
            "db_currency_id": "9b568e9e-7a29-4531-b661-b0e892ccdad5",
            "db_language_id": "55062ea2-8720-49a0-8ce4-8d1e69412217",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
          },
          "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
        },
        "equipment_family_id": "f4444cac-0664-4fb6-8f19-3a98c04943ee",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "1fcbdf9b-7e19-451b-b6a4-06f440e009ee",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "89824819-ad8e-43c6-9606-257fb177849c",
          "_parent_code": "sample string 6",
          "sales_organization_id": "562948cd-32d5-4dc0-8d0e-6fd4d212363d",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "06b1cd3a-b3d1-4446-a272-5f9a896ca42d",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "9df84af3-11e8-48e6-b9ef-85e3e5b570b1",
            "db_currency_id": "9b568e9e-7a29-4531-b661-b0e892ccdad5",
            "db_language_id": "55062ea2-8720-49a0-8ce4-8d1e69412217",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
          },
          "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
        },
        "date_in_production_since": "2026-11-09T10:16:24.8697858+00:00",
        "date_out_of_production_since": "2026-11-09T10:16:24.8697858+00:00",
        "date_end_support": "2026-11-09T10:16:24.8697858+00:00",
        "sales_organization_id": "b884d977-2489-464c-8f85-1369a0c0e66d",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "06b1cd3a-b3d1-4446-a272-5f9a896ca42d",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "9df84af3-11e8-48e6-b9ef-85e3e5b570b1",
          "db_currency_id": "9b568e9e-7a29-4531-b661-b0e892ccdad5",
          "db_language_id": "55062ea2-8720-49a0-8ce4-8d1e69412217",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
      },
      "project_status_id": "21c1bba2-ed09-43e3-9f4e-8e5eca7fd546",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "11e05bc3-ea80-48f3-a336-a1436a47e13c",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "e2c88e86-6bfa-4ed2-bc9a-cce99defd3ff",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "06b1cd3a-b3d1-4446-a272-5f9a896ca42d",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "9df84af3-11e8-48e6-b9ef-85e3e5b570b1",
          "db_currency_id": "9b568e9e-7a29-4531-b661-b0e892ccdad5",
          "db_language_id": "55062ea2-8720-49a0-8ce4-8d1e69412217",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
      },
      "company_id": "d373c94d-7874-41ce-9303-0a74f265b13d",
      "company_code": "sample string 12",
      "db_address_id": "f7635231-8191-413e-b429-d0e38eb5f0ed",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "52e4bee5-3848-4c0e-9439-89dcbd8df84c",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "15314074-bed7-440b-859d-deee3cd764a1",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-11-09T10:16:24.8697858+00:00",
      "date_create": "2026-11-09T10:16:24.8697858+00:00",
      "date_update": "2026-11-09T10:16:24.8697858+00:00",
      "updated_by_user_id": "31c2a641-a658-474b-8e8d-ab74e39936d2",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-11-09T10:16:24.8697858+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-11-09T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-11-09T10:16:24.8697858+00:00",
      "date_last_job": "2026-11-09T10:16:24.8697858+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-11-09T10:16:24.8697858+00:00",
      "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "6a648291-c097-423b-8c5b-b532f97d33d0",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "d0b131fd-2847-42a7-aa06-523a0fc09890",
      "name": "sample string 2",
      "sales_organization_id": "f05eb86a-24db-4318-9010-f5362a4b52de",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "a66245e1-f9fb-43dd-ae4a-56eedb819f26",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "2c233970-40cf-4fe3-a164-bd51f1167829",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "fd6cc733-197b-408b-a433-a583ec60e234",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "06b1cd3a-b3d1-4446-a272-5f9a896ca42d",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "9df84af3-11e8-48e6-b9ef-85e3e5b570b1",
        "db_currency_id": "9b568e9e-7a29-4531-b661-b0e892ccdad5",
        "db_language_id": "55062ea2-8720-49a0-8ce4-8d1e69412217",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
    },
    "job_status_id": "484974db-c0b6-4c5e-9e8b-7df3f301f5bc",
    "job_status_code": "sample string 11",
    "db_address_id": "3b38108b-10d9-4670-9fa1-ce14ae248649",
    "contact_id": "113c2461-2c68-48d9-9d56-0717c83b9728",
    "requested_by_company_id": "f0cb801d-d43d-4035-976f-4567dbd04d0f",
    "requested_by_contact_id": "07d0db2c-576b-49ea-820e-ad725816f79a",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-11-09T10:16:24.8697858+00:00",
    "due_date": "2026-11-09T10:16:24.8697858+00:00",
    "date_create": "2026-11-09T10:16:24.8697858+00:00",
    "date_update": "2026-11-09T10:16:24.8697858+00:00",
    "date_closed": "2026-11-09T10:16:24.8697858+00:00",
    "suggested_user_id": "9d83b557-ff21-4f7c-9f1e-debaff076703",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "2bb79631-7af0-4258-bbca-bf8c64d9c263",
      "db_language_id": "3d06b56c-f1f0-48b1-977c-cdb82f33dc99",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-11-09T10:16:24.8697858+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "827d6881-2bdc-4a25-97be-3edca1f4c94b",
      "sales_organization": {
        "id": "06b1cd3a-b3d1-4446-a272-5f9a896ca42d",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "9df84af3-11e8-48e6-b9ef-85e3e5b570b1",
        "db_currency_id": "9b568e9e-7a29-4531-b661-b0e892ccdad5",
        "db_language_id": "55062ea2-8720-49a0-8ce4-8d1e69412217",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "515a3cfe-d767-4c6d-9101-1e3fa8def3a9",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "940260f7-00f7-4c49-9b13-cda2bf0b6e0e",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "9641cd90-4fe6-4115-bf25-49dfa01e7110"
    },
    "suggested_date_start": "2026-11-09T10:16:24.8697858+00:00",
    "skill_id": "e440f688-ed94-4dff-907e-0c2a7d1cb3b7",
    "skill_code": "sample string 32",
    "skill": {
      "id": "71b52d6c-50bd-4236-a76a-2fd77e82935a",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "df87032e-8818-4510-8622-d52600e6d19c",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "06b1cd3a-b3d1-4446-a272-5f9a896ca42d",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "9df84af3-11e8-48e6-b9ef-85e3e5b570b1",
        "db_currency_id": "9b568e9e-7a29-4531-b661-b0e892ccdad5",
        "db_language_id": "55062ea2-8720-49a0-8ce4-8d1e69412217",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
      },
      "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "75724879-2bc0-48b9-8fb6-94575bcbd3a4",
    "date_reported_by_company": "2026-11-09T10:16:24.8697858+00:00",
    "id2": 36,
    "company_id": "2ef352df-872e-477b-9396-08f7257aa246",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "1ef60f82-fd30-46c1-8314-b15193e1b0ff",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
  },
  "work_instruction_details_id": "10644004-d690-43c8-b5fb-09953f0b2fcb",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "bcabe97a-8f91-4063-880a-4c45b61bbf15",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "bdab25a3-d279-4dd8-b026-aba828cc8ccb",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-11-09T10:16:24.8697858+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "8bd5e504-4607-43bf-ab07-03583bf8609d",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-11-09T10:16:24.8697858+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.